org.apache.cayenne.rop

## Class ProxyRemoteService

- java.lang.Object
- - org.apache.cayenne.rop.ProxyRemoteService

- All Implemented Interfaces:
    Remote, RemoteService

      public class ProxyRemoteService
      extends Object
      implements RemoteService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ROPConnector` | `ropConnector`
    `protected ROPSerializationService` | `serializationService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyRemoteService(ROPSerializationService serializationService, ROPConnector ropConnector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close remote service resources.
    `RemoteSession` | `establishSession()` Establishes a dedicated session with Cayenne DataChannel, returning session id.
    `RemoteSession` | `establishSharedSession(String name)` Creates a new session with the specified or joins an existing one.
    `Object` | `processMessage(ClientMessage message)` Processes message on a remote server, returning the result of such processing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializationService

          protected ROPSerializationService serializationService

    - #### ropConnector

          protected ROPConnector ropConnector

  - ### Constructor Detail

    - #### ProxyRemoteService

          public ProxyRemoteService(ROPSerializationService serializationService,
                                    ROPConnector ropConnector)

  - ### Method Detail

    - #### establishSession

          public RemoteSession establishSession()
                                         throws RemoteException

      Description copied from interface: `RemoteService`
      Establishes a dedicated session with Cayenne DataChannel, returning session id.
      Specified by:
        `establishSession` in interface `RemoteService`
      Throws:
        `RemoteException`

    - #### establishSharedSession

          public RemoteSession establishSharedSession(String name)
                                               throws RemoteException

      Description copied from interface: `RemoteService`
      Creates a new session with the specified or joins an existing one. This method is used to bootstrap collaborating clients of a single "group chat".
      Specified by:
        `establishSharedSession` in interface `RemoteService`
      Throws:
        `RemoteException`

    - #### processMessage

          public Object processMessage(ClientMessage message)
                                throws RemoteException,
                                       Throwable

      Description copied from interface: `RemoteService`
      Processes message on a remote server, returning the result of such processing.
      Specified by:
        `processMessage` in interface `RemoteService`
      Throws:
        `RemoteException`
        `Throwable`

    - #### close

          public void close()
                     throws RemoteException

      Description copied from interface: `RemoteService`
      Close remote service resources.
      Specified by:
        `close` in interface `RemoteService`
      Throws:
        `RemoteException`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.